ChangeSet 1.1587.3.30, 2004/05/03 14:18:33-07:00, tejohnson@yahoo.com

[PATCH] USB: update for mtouchusb

The attached patch for the 3M Touch Systems Capacitive controller. (again)

Quick list of changes:

   * decrease mtouch->open counter in the event of a urb submission
     failure

The changes are due to comments Oliver Neukum's comments on the
touchkit.c driver.  Good catch!  Sorry I missed it.

http://marc.theaimsgroup.com/?l=linux-usb-devel&m=108343028201159&w=2


 drivers/usb/input/mtouchusb.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/input/mtouchusb.c b/drivers/usb/input/mtouchusb.c
--- a/drivers/usb/input/mtouchusb.c	Fri May 14 15:30:20 2004
+++ b/drivers/usb/input/mtouchusb.c	Fri May 14 15:30:20 2004
@@ -142,8 +142,10 @@
 
         mtouch->irq->dev = mtouch->udev;
 
-        if (usb_submit_urb (mtouch->irq, GFP_ATOMIC))
+        if (usb_submit_urb (mtouch->irq, GFP_ATOMIC)) {
+                mtouch->open--;
                 return -EIO;
+        }
 
         return 0;
 }
